Subject: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Dmitry Gutov <[email-masked]>
Date: Sun, 27 Mar 2016 18:46:44 +0300

On 03/27/2016 06:35 PM, Óscar Fuentes wrote:

> Dmitry, it would be absolutely glorious if we ever find a md5 collision
> among a piece of text and the result of applying fill-paragraph to it. I
> would demand to be credited by the feat :-)

Glorious or not, such an occasion would likely go unnoticed, and could 
result in the user not having their latest changes saved to disk.

The only thing they would remember is that Emacs didn't work as 
expected, and your choice of the algorithm would go uncredited.